# Class: NoteComplement

## NoteComplement()

Complements the NoteShort with the main note content and other extra attributes

## Constructor

#### new NoteComplement()

Source:
  - entities/note_complement.js, line 4

### Members

#### combinedDateModified :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 33

#### combinedUtcDateModified :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 36

#### content :string

can either contain the whole content (in e.g. string notes), only part (large text notes) or nothing at all (binary notes, images)

##### Type:

- string

Source:
  - entities/note_complement.js, line 13

#### contentLength :int

##### Type:

- int

Source:
  - entities/note_complement.js, line 16

#### dateCreated :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 19

#### dateModified :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 22

#### noteId :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 7

#### utcDateCreated :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 25

#### utcDateModified :string

##### Type:

- string

Source:
  - entities/note_complement.js, line 28